Bug 32498 - vgchange crashes on startup
vgchange crashes on startup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-20 20:57 EST by Michael Kenney
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-20 20:57:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Kenney 2001-03-20 20:57:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-ac18 i586)


When using LVM, vgchange crashes and causes a kernel "oops" when called
from rc.sysinit.  This is apparently due to the root filesystem being
mounted readonly.  Also, vgscan is not called (this is required
according to the latest LVM HOWTO.

The following patch fixes the problem:

--- rc.sysinit.old	Tue Mar 20 13:00:28 2001
+++ rc.sysinit	Tue Mar 20 13:02:40 2001
@@ -199,10 +199,6 @@
 	fsckoptions="-V $fsckoptions"
 fi
  
-if [ -e /proc/lvm -a -x /sbin/vgchange -a -f /etc/lvmtab ]; then
-        action $"Setting up LVM:" /sbin/vgchange -a y
-fi
-
 _RUN_QUOTACHECK=0
 ROOTFSTYPE=`grep " / " /proc/mounts | awk '{ print $3 }'`
 if [ -z "$fastboot" -a "$ROOTFSTYPE" != "nfs" ]; then 
@@ -263,6 +259,11 @@
 state=`awk '/(^\/dev\/root| \/ )/ { print $4 }' /proc/mounts`
 [ "$state" != "rw" ] && \
   action $"Remounting root filesystem in read-write mode: " mount -n -o
remount,rw /
+
+# LVM initialization
+if [ -e /proc/lvm -a -x /sbin/vgchange -a -f /etc/lvmtab ]; then
+        action $"Setting up LVM:" /sbin/vgscan && /sbin/vgchange -a y
+fi
 
 # Clear mtab
 >/etc/mtab

Reproducible: Always
Steps to Reproduce:
1. Boot a Fisher system with active Logical Volumes
2. 
3.
	

Here is the kernel oops:

Mar 20 12:58:39 localhost kernel: Unable to handle kernel paging request at
virtual address 4005309c
Mar 20 12:58:39 localhost kernel:  printing eip:
Mar 20 12:58:39 localhost kernel: c014dedc
Mar 20 12:58:39 localhost kernel: *pde = 374b4067
Mar 20 12:58:39 localhost kernel: *pte = 37873025
Mar 20 12:58:39 localhost kernel: Oops: 0003
Mar 20 12:58:39 localhost kernel: CPU:    0
Mar 20 12:58:39 localhost kernel: EIP:    0010:[proc_register+44/144]
Mar 20 12:58:39 localhost kernel: EIP:    0010:[<c014dedc>]
Mar 20 12:58:39 localhost kernel: EFLAGS: 00010206
Mar 20 12:58:39 localhost kernel: eax: 00008cb1   ebx: f7398a40   ecx:
00000074   edx: 0000016c
Mar 20 12:58:39 localhost kernel: esi: 4005306c   edi: f7398a92   ebp:
4005306c   esp: f721fb28
Mar 20 12:58:39 localhost kernel: ds: 0018   es: 0018   ss: 0018
Mar 20 12:58:39 localhost kernel: Process vgchange (pid: 112,
stackpage=f721f000)
Mar 20 12:58:39 localhost kernel: Stack: f7398a40 f71f360f c014e351
4005306c f7398a40 c0101f8c 00000005 f71f3609 
Mar 20 12:58:39 localhost kernel:        f71f3600 f71f360f f71f3608
c02e7864 c01cf687 f71f3609 00008000 4005306c 
Mar 20 12:58:39 localhost kernel:        f71f3600 f71f3600 f71f3600
00000002 00009ff0 c01ce318 f721a000 f71f3600 
Mar 20 12:58:39 localhost kernel: Call Trace: [create_proc_entry+257/272]
[swapper_pg_dir+3980/4096] [lvm_do_create_proc_entry_of_lv+71/112]
[lvm_do_lv_create+1720/1872] [lvm_do_vg_create+799/1024]
[ide_set_handler+88/96]
[3c59x:__insmod_3c59x_O/lib/modules/2.4.0-0.99.11/kernel/drivers/n+-155648/96] 
Mar 20 12:58:39 localhost kernel: Call Trace: [<c014e351>] [<c0101f8c>]
[<c01cf687>] [<c01ce318>] [<c01cd4af>][<c0187e68>] [<f8895000>] 
Mar 20 12:58:39 localhost kernel:        [lvm_chr_ioctl+711/1744]
[__alloc_pages+228/720] [ext2_read_inode+815/976] [ext2_read_inode+836/976]
[get_new_inode+228/336] [iget4+194/208] [ext2_lookup+125/144]
[d_alloc+22/352] 
Mar 20 12:58:39 localhost kernel:        [<c01cb147>] [<c012c944>]
[<c0154d4f>] [<c0154d64>] [<c01456b4>] [<c01458d2>] [<c01559dd>]
[<c01440b6>] 
Mar 20 12:58:39 localhost kernel:        [real_lookup+79/192]
[path_walk+1906/2144] [chrdev_open+54/64] [dentry_open+192/336]
[filp_open+77/96] [sys_ioctl+487/512] [system_call+51/56] 
Mar 20 12:58:39 localhost kernel:        [<c013be3f>] [<c013c762>]
[<c0132636>] [<c0131720>] [<c013164d>] [<c013fcf7>] [<c0109007>] 
Mar 20 12:58:39 localhost kernel: 
Mar 20 12:58:39 localhost kernel: Code: 89 5e 30 0f b7 43 08 25 00 f0 00 00
66 3d 00 40 75 22 8b 53
Comment 1 Bill Nottingham 2001-03-21 01:58:24 EST
Fixed in CVS; will be in 5.79-1.

Note You need to log in before you can comment on or make changes to this bug.